Bug 738156 - different contexts on configs / init scripts related to dhcpd / dhcpd6
Summary: different contexts on configs / init scripts related to dhcpd / dhcpd6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: selinux-policy
Version: 6.2
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Miroslav Grepl
QA Contact: Milos Malik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-14 07:38 UTC by Milos Malik
Modified: 2012-10-16 11:44 UTC (History)
1 user (show)

Fixed In Version: selinux-policy-3.7.19-112.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 10:18:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1511 normal SHIPPED_LIVE selinux-policy bug fix and enhancement update 2011-12-06 00:39:17 UTC

Description Milos Malik 2011-09-14 07:38:39 UTC
Description of problem:
/etc/dhcp/dhcpd.conf	system_u:object_r:dhcp_etc_t:s0
/etc/dhcp/dhcpd6.conf	system_u:object_r:etc_t:s0
/etc/rc.d/init.d/dhcpd	system_u:object_r:dhcpd_initrc_exec_t:s0
/etc/rc.d/init.d/dhcpd6	system_u:object_r:initrc_exec_t:s0

I believe that both configuration files should have the same context and both init scripts should have the same context.

Version-Release number of selected component (if applicable):
selinux-policy-mls-3.7.19-110.el6.noarch
selinux-policy-3.7.19-110.el6.noarch
selinux-policy-targeted-3.7.19-110.el6.noarch
selinux-policy-doc-3.7.19-110.el6.noarch
selinux-policy-minimum-3.7.19-110.el6.noarch

Comment 1 Miroslav Grepl 2011-09-14 07:45:35 UTC
Yes, there is a bug.

Comment 2 Daniel Walsh 2011-09-15 14:35:30 UTC
It seems that F16 has these correct.

Comment 5 errata-xmlrpc 2011-12-06 10:18:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1511.html


Note You need to log in before you can comment on or make changes to this bug.